メインコンテンツへスキップ
PUT
/
poweredby
/
account
/
update
/
{subAccountId}
Update Sub-Account
curl --request PUT \
  --url https://cloud.cdata.com/api/poweredby/account/update/{subAccountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "MyExternalId",
  "accountName": "Acme Corporation"
}
'
import requests

url = "https://cloud.cdata.com/api/poweredby/account/update/{subAccountId}"

payload = {
"externalId": "MyExternalId",
"accountName": "Acme Corporation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalId: 'MyExternalId', accountName: 'Acme Corporation'})
};

fetch('https://cloud.cdata.com/api/poweredby/account/update/{subAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "fee1ce9d-c40c-4ef6-8f8c-77461315713d",
  "externalId": "MyExternalId",
  "accountName": "Acme Corporation",
  "created": "2023-07-13T20:42:56.317Z"
}

承認

Authorization
string
header
必須

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.

パスパラメータ

subAccountId
string
必須

The internal Connect AI account Id of the sub-account to update.

ボディ

application/json
externalId
string | null

(Optional) The new external Id for the sub-account.

accountName
string | null

(Optional) The new display name for the sub-account.

レスポンス

200 - application/json

OK

id
string
必須

The internal Connect AI account Id.

externalId
string
必須

The Connect AI Embed external account identifier.

created
string<date-time>
必須

The time this account was created.

accountName
string | null

The display name of the account.